package com.jeethink.dataCenter.domain;

import com.jeethink.common.core.domain.BaseEntity;

public class Warehouse extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 库房ID */
    private Long id;

    /** 库房名 */
    private String name;

    /** 祖籍列表 */
    private String ancestors;

    /** 层级：0：库，1：室，2：架，3：层，4：卷；最高4级 */
    private Integer level;
    /** 父库房 */
    private Long parentId;
    /** 描述 */
    private String description;
    /** 状态：0正常，1停用 */
    private String status;
    /** 关联人员：只有层级为4时，才可有值 */
    private Long relaUser;
    /** 排序 */
    private Integer orderNum;

    /** 关联人员名 */
    private String relaUserName;

    //所有父级名称
    private String parentsName;

    private String wlh;
    private String lwz;
    private String ch;
    private String jh;

    private String archivesId;

    public String getArchivesId() {
        return archivesId;
    }

    public void setArchivesId(String archivesId) {
        this.archivesId = archivesId;
    }

    public String getWlh() {
        return wlh;
    }

    public void setWlh(String wlh) {
        this.wlh = wlh;
    }

    public String getLwz() {
        return lwz;
    }

    public void setLwz(String lwz) {
        this.lwz = lwz;
    }

    public String getCh() {
        return ch;
    }

    public void setCh(String ch) {
        this.ch = ch;
    }

    public String getJh() {
        return jh;
    }

    public void setJh(String jh) {
        this.jh = jh;
    }

    public String getParentsName() {
        return parentsName;
    }

    public void setParentsName(String parentsName) {
        this.parentsName = parentsName;
    }

    public Long getRelaUser() {
        return relaUser;
    }

    public void setRelaUser(Long relaUser) {
        this.relaUser = relaUser;
    }

    public String getRelaUserName() {
        return relaUserName;
    }

    public void setRelaUserName(String relaUserName) {
        this.relaUserName = relaUserName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }
}
